### Method

# Gtk IMContextset_client_widget

#### Declaration [src]

    void
    gtk_im_context_set_client_widget (
      GtkIMContext* context,
      GtkWidget* widget
    )

#### Description [src]

Set the client widget for the input context.

This is the `GtkWidget` holding the input focus. This widget is used in order to correctly position status windows, and may also be used for purposes internal to the input method.

#### Parameters

`widget`

  Type: `GtkWidget`

  The client widget. This may be `NULL` to indicate that the previous client widget no longer exists.

  The argument can be `NULL`.
  The data is owned by the caller of the method.